<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): OptIstreamIter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_opt_istream_iter.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="class_opt_istream_iter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OptIstreamIter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="options_8h_source.html">options.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for OptIstreamIter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_opt_istream_iter.png" usemap="#OptIstreamIter_map" alt=""/>
  <map id="OptIstreamIter_map" name="OptIstreamIter_map">
<area href="class_opt_iter.html" alt="OptIter" shape="rect" coords="0,0,90,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a264d1dc2cfd63faf118b09c18c187b98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a264d1dc2cfd63faf118b09c18c187b98"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>OptIstreamIter</b> (std::istream &amp;input)</td></tr>
<tr class="separator:a264d1dc2cfd63faf118b09c18c187b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32185c304138e10f374a011990dbc3d"><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_istream_iter.html#af32185c304138e10f374a011990dbc3d">curr</a> (void)</td></tr>
<tr class="separator:af32185c304138e10f374a011990dbc3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdd9ce5e2502fd9ddf6263a2d2f1eca2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdd9ce5e2502fd9ddf6263a2d2f1eca2"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_istream_iter.html#acdd9ce5e2502fd9ddf6263a2d2f1eca2">next</a> (void)</td></tr>
<tr class="memdesc:acdd9ce5e2502fd9ddf6263a2d2f1eca2"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_opt_istream_iter.html#acdd9ce5e2502fd9ddf6263a2d2f1eca2" title="next() advances to the next item. ">next()</a> advances to the next item. <br /></td></tr>
<tr class="separator:acdd9ce5e2502fd9ddf6263a2d2f1eca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f55dbf941a4cd50ce894112b97fd7b"><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_istream_iter.html#ad4f55dbf941a4cd50ce894112b97fd7b">operator()</a> (void)</td></tr>
<tr class="separator:ad4f55dbf941a4cd50ce894112b97fd7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a61a387db736bd30edb7eca4631aa421e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61a387db736bd30edb7eca4631aa421e"></a>
static const unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>MAX_LINE_LEN</b></td></tr>
<tr class="separator:a61a387db736bd30edb7eca4631aa421e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="class_opt_istream_iter.html">OptIstreamIter</a> is a class for iterating over arguments that come from an input stream. Each line of the input stream is considered to be a set of white-space separated tokens. If the the first non-white character on a line is '#' ('!' for VMS systems) then the line is considered a comment and is ignored.</p>
<dl class="section note"><dt>Note</dt><dd>If a line is more than 1022 characters in length then we treat it as if it were several lines of length 1022 or less.</dd>
<dd>
The string tokens returned by this iterator are pointers to temporary buffers which may not necessarily stick around for too long after the call to <a class="el" href="class_opt_istream_iter.html#af32185c304138e10f374a011990dbc3d">curr()</a> or operator(), hence if you need the string value to persist - you will need to make a copy. </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="af32185c304138e10f374a011990dbc3d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * OptIstreamIter::curr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="class_opt_istream_iter.html#af32185c304138e10f374a011990dbc3d">curr()</a> returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned. </p>

<p>Implements <a class="el" href="class_opt_iter.html#a83fee36a05864e23eebc91b251ac9743">OptIter</a>.</p>

</div>
</div>
<a class="anchor" id="ad4f55dbf941a4cd50ce894112b97fd7b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * OptIstreamIter::operator() </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned. </p>

<p>Reimplemented from <a class="el" href="class_opt_iter.html#a039ef9ac21ffb563eedbc76cd42c5e02">OptIter</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="options_8h_source.html">options.h</a></li>
<li>options.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
